#include "lvgl.h"
#include "img_def.h"
#include "img_basic.h"

void lv_img_big_disp(lv_obj_t* parent, const lv_img_dsc_t **src , lv_coord_t x, lv_coord_t y,uint8_t img_num,uint8_t start)
{
    lv_obj_t *cont1 = lv_obj_create(parent);
    lv_obj_remove_style_all(cont1);
    lv_obj_clear_flag(cont1, LV_OBJ_FLAG_SCROLLABLE);
    lv_obj_set_scrollbar_mode(cont1, LV_SCROLLBAR_MODE_OFF);
    //lv_obj_set_size(cont1,LV_PCT(100),LV_PCT(100));
    lv_obj_set_style_bg_color(cont1,lv_color_black(),0);
    lv_obj_set_size(cont1,LV_SIZE_CONTENT,LV_SIZE_CONTENT);
    lv_obj_align(cont1,LV_ALIGN_TOP_LEFT,x,y);
    lv_obj_t *old_obj = NULL;
    for (uint8_t i = 0; i < img_num; i++)
    {
        lv_obj_t *img1 = lv_img_create(cont1);
        lv_img_set_src(img1,src[start+i]);
        if(i == 0)
            lv_obj_set_pos(img1,0,0);
        else
            lv_obj_align_to(img1,old_obj,LV_ALIGN_OUT_BOTTOM_LEFT,0,0);
        old_obj = img1;
    }
    lv_obj_clear_flag(cont1,LV_OBJ_FLAG_CLICKABLE);
}

lv_obj_t* lv_img_big_create(lv_obj_t* parent, const lv_img_dsc_t **src , lv_coord_t x, lv_coord_t y,uint8_t img_num,uint8_t start)
{
    lv_obj_t *cont1 = lv_obj_create(parent);
    lv_obj_remove_style_all(cont1);
    lv_obj_clear_flag(cont1, LV_OBJ_FLAG_SCROLLABLE);
    lv_obj_set_scrollbar_mode(cont1, LV_SCROLLBAR_MODE_OFF);
    //lv_obj_set_size(cont1,LV_PCT(100),LV_PCT(100));
    lv_obj_set_style_bg_color(cont1,lv_color_black(),0);
    lv_obj_set_size(cont1,LV_SIZE_CONTENT,LV_SIZE_CONTENT);
    lv_obj_align(cont1,LV_ALIGN_TOP_LEFT,x,y);
    lv_obj_t *old_obj = NULL;

    for(uint8_t i = 0; i < img_num; i++)
    {
        lv_obj_t *img1 = lv_img_create(cont1);
        lv_img_set_src(img1,src[start+i]);
        if(i == 0)
            lv_obj_set_pos(img1,0,0);
        else
            lv_obj_align_to(img1,old_obj,LV_ALIGN_OUT_BOTTOM_LEFT,0,0);
        old_obj = img1;
    }
    //lv_obj_clear_flag(cont1,LV_OBJ_FLAG_CLICKABLE);
    return cont1;

}
